linux: 3.5.0-43.66 -proposed tracker

Bug #1242895 reported by Brad Figg on 2013-10-21
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Medium
Unassigned
Certification-testing
Medium
Unassigned
Prepare-package
Medium
Brad Figg
Prepare-package-lbm
Medium
Brad Figg
Prepare-package-meta
Medium
Brad Figg
Prepare-package-signed
Medium
Brad Figg
Promote-to-proposed
Medium
Adam Conrad
Promote-to-security
Medium
Adam Conrad
Promote-to-updates
Medium
Adam Conrad
Regression-testing
Medium
Paul Larson
Security-signoff
Medium
John Johansen
Verification-testing
Medium
Canonical Kernel Team
linux (Ubuntu)
Undecided
Unassigned
Quantal
Medium
Unassigned

Bug Description

This bug is for tracking the 3.5.0-43.66 upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Monday, 21. October 2013 20:49 UTC
kernel-stable-Prepare-package-end:Wednesday, 23. October 2013 22:12 UTC
kernel-stable-Promote-to-proposed-start:Wednesday, 23. October 2013 22:12 UTC
kernel-stable-Promote-to-proposed-end:Thursday, 24. October 2013 04:03 UTC
kernel-stable-Verification-testing-start:Thursday, 24. October 2013 05:06 UTC
kernel-stable-Certification-testing-start:Thursday, 24. October 2013 05:07 UTC
kernel-stable-Security-signoff-start:Thursday, 24. October 2013 05:07 UTC
kernel-stable-Regression-testing-start:Thursday, 24. October 2013 05:07 UTC
kernel-stable-Certification-testing-end:Thursday, 24. October 2013 10:02 UTC
kernel-stable-Regression-testing-end:Monday, 28. October 2013 16:02 UTC
kernel-stable-Security-signoff-end:Monday, 28. October 2013 23:02 UTC
kernel-stable-Promote-to-updates-start:Tuesday, 05. November 2013 22:01 UTC
kernel-stable-Promote-to-updates-end:Friday, 08. November 2013 02:03 UTC
kernel-stable-phase:Released
kernel-stable-phase-changed:Friday, 08. November 2013 04:03 UTC

Brad Figg (brad-figg) on 2013-10-21
tags: added: kernel-release-tracking-bug
tags: added: quantal
Changed in kernel-sru-workflow:
status: New → In Progress
importance: Undecided → Medium
Changed in linux (Ubuntu):
status: New → Invalid
Changed in linux (Ubuntu Quantal):
importance: Undecided → Medium

All builds are complete, packages in this bug can be copied to -proposed.

Derivative packages from packages here can be worked on, the following tracking bugs were opened for them:
linux-ti-omap4 - bug 1243944
linux-armadaxp - bug 1243947
linux-lowlatency - bug 1243948

Backport packages from packages here can be worked on, the following tracking bugs were opened for them:
linux-lts-quantal (precise) - bug 1243949

description: updated
Adam Conrad (adconrad) wrote :

Copied to -proposed, overrides adjusted, and -signed built.

Brad Figg (brad-figg) on 2013-10-24
description: updated
Brad Figg (brad-figg) on 2013-10-24
description: updated

Quantal SRU kernels are no longer supported by the certification team, as we are only testing the previous two development releases (Raring and Saucy at the moment). Please remove this task for us.

Brad Figg (brad-figg) on 2013-10-24
description: updated
Paul Larson (pwlars) on 2013-10-28
tags: added: qa-testing-passed
Brad Figg (brad-figg) on 2013-10-28
description: updated
John Johansen (jjohansen) wrote :

Looks good

The verification-testing task was not set to one of the following states during the release test:
Fix Released,
verification-testing task was set to state In Progress
Further processing of this bug by Workflow Manager is halted.

Changed in kernel-sru-workflow:
status: In Progress → Incomplete
description: updated

verification-testing is not set to one of the following (correct) states:
Fix Released,
verification-testing task was set to state In Progress
Further processing of this bug by Workflow Manager is halted.

Changed in kernel-sru-workflow:
status: Incomplete → In Progress
status: In Progress → Incomplete
Brad Figg (brad-figg) on 2013-10-29
Changed in kernel-sru-workflow:
status: Incomplete → In Progress
status: In Progress → Incomplete
status: Incomplete → In Progress
status: In Progress → Incomplete
Brad Figg (brad-figg) on 2013-10-29
Changed in kernel-sru-workflow:
status: Incomplete → In Progress
status: In Progress → Incomplete
Brad Figg (brad-figg) on 2013-10-29
Changed in kernel-sru-workflow:
status: Incomplete → In Progress
status: In Progress → Incomplete
Brad Figg (brad-figg) on 2013-10-29
Changed in kernel-sru-workflow:
status: Incomplete → In Progress
Brad Figg (brad-figg) on 2013-11-05
description: updated
Launchpad Janitor (janitor) wrote :
Download full text (19.1 KiB)

This bug was fixed in the package linux - 3.5.0-43.66

---------------
linux (3.5.0-43.66) quantal; urgency=low

  [ Brad Figg ]

  * Release Tracking Bug
    - LP: #1242895

  [ Timo Aaltonen ]

  * SAUCE: ubuntu/i915: silence unclaimed register poking debug messages
    - LP: #1138787

  [ Upstream Kernel Changes ]

  * Revert "xfs: fix _xfs_buf_find oops on blocks beyond the filesystem
    end"
    - LP: #1236041
    - CVE-2013-1819 fix backport:
  * Revert "sctp: fix call to SCTP_CMD_PROCESS_SACK in
    sctp_cmd_interpreter()"
    - LP: #1241093
  * get rid of full-hash scan on detaching vfsmounts
    - LP: #1226726
  * Smack: Fix the bug smackcipso can't set CIPSO correctly
    - LP: #1236743
  * SAUCE: (no-up) Only let characters through when there are active
    readers.
    - LP: #1208740
  * usb: xhci: define port register names and use them instead of magic
    numbers
    - LP: #1229576
  * usb: xhci: add USB2 Link power management BESL support
    - LP: #1229576
  * iwl4965: fix rfkill set state regression
    - LP: #1241093
  * ath9k_htc: Restore skb headroom when returning skb to mac80211
    - LP: #1241093
  * ALSA: opti9xx: Fix conflicting driver object name
    - LP: #1241093
  * SUNRPC: Fix memory corruption issue on 32-bit highmem systems
    - LP: #1241093
  * drm/i915: ivb: fix edp voltage swing reg val
    - LP: #1241093
  * drm/vmwgfx: Split GMR2_REMAP commands if they are to large
    - LP: #1241093
  * ALSA: ak4xx-adda: info leak in ak4xxx_capture_source_info()
    - LP: #1241093
  * Bluetooth: Add support for Foxconn/Hon Hai [0489:e04d]
    - LP: #1241093
  * [SCSI] sg: Fix user memory corruption when SG_IO is interrupted by a
    signal
    - LP: #1241093
  * xen-gnt: prevent adding duplicate gnt callbacks
    - LP: #1241093
  * usb: config->desc.bLength may not exceed amount of data returned by the
    device
    - LP: #1241093
  * USB: cdc-wdm: fix race between interrupt handler and tasklet
    - LP: #1241093
  * xhci-plat: Don't enable legacy PCI interrupts.
    - LP: #1241093
  * ASoC: wm8960: Fix PLL register writes
    - LP: #1241093
  * rculist: list_first_or_null_rcu() should use list_entry_rcu()
    - LP: #1241093
  * USB: mos7720: use GFP_ATOMIC under spinlock
    - LP: #1241093
  * USB: mos7720: fix big-endian control requests
    - LP: #1241093
  * staging: comedi: dt282x: dt282x_ai_insn_read() always fails
    - LP: #1241093
  * usb: ehci-mxc: check for pdata before dereferencing
    - LP: #1241093
  * usb: xhci: Disable runtime PM suspend for quirky controllers
    - LP: #1241093
  * USB: OHCI: Allow runtime PM without system sleep
    - LP: #1241093
  * ACPI / EC: Add HP Folio 13 to ec_dmi_table in order to skip DSDT scan
    - LP: #1241093
  * ACPI / EC: Add ASUSTEK L4R to quirk list in order to validate ECDT
    - LP: #1241093
  * USB: fix build error when CONFIG_PM_SLEEP isn't enabled
    - LP: #1241093
  * ALSA: hda - hdmi: Fallback to ALSA allocation when selecting CA
    - LP: #1241093
  * regmap: silence GCC warning
    - LP: #1241093
  * target: Fix trailing ASCII space usage in INQUIRY vendor+model
    - LP: #1241093
  * iwlwifi: dvm: don't send BT_CONFIG on devices w/o Bluetooth
    - LP: #1...

Changed in linux (Ubuntu Quantal):
status: New → Fix Released
Brad Figg (brad-figg) on 2013-11-08
description: updated

The package has been published and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
description: updated
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers